MANCONV(1)

NOMBRE
manconv - convierte página de manual desde una codificación a otra

SINOPSIS
manconv -f []código-origen[:código-origen...]] -t código-destino [-dqhV] [nombrearchivo]

DESCRIPCIÓN
manconv convierte una página de manual de una codificación a otra, como iconv. A diferencia de iconv, puede probar múltiples codificaciones de entrada secuencialmente. Esto es útil para páginas de manual instaladas en directorios sin una declaración de codificación explícita, ya que pueden estar en UTF-8 o en un conjunto de caracteres antiguo.

Si en la primera línea de la página de manual aparece una declaración de codificación, esa declaración anula cualquier codificación de entrada especificada por la línea de órdenes de manconv. Las declaraciones de codificación tienen la siguiente forma:

    '\" -*- coding: UTF-8 -*-

o (si también van a declararse preprocesadores de páginas de manual):

    '\" t -*- coding: ISO-8859-1 -*-

OPCIONES

-f codificaciones, --from-code codificaciones
    Ensaya cada una de las codificaciones sucesivamente (una lista separada por dos puntos) como codificación de entrada. El comportamiento predefinido es deducir las codificaciones de entrada más verosímiles a partir del nombre del archivo.

-t codificación, --to-code codificación
    Convierte la página de manual a codificación.

-q, --quiet
    No emite mensajes de error cuando la página no puede ser convertida.

-d, --debug
    Escribe información de depuración.

-h, --help
    Escribe un mensaje de ayuda y termina.

-V, --version
    Muestra información sobre la versión.

VÉASE TAMBIÉN
iconv(1), man(1), man-recode(1)

AUTOR
Colin Watson (cjwatson@debian.org).

DEFECTOS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db